<?php

require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');
	$objCliente=new Cliente;
	$id_aspi = htmlspecialchars(trim($_POST['id_aspi']));
	$hora = htmlspecialchars(trim($_POST['hora']));
	$fecha_nacimiento = htmlspecialchars(trim($_POST['fecha_nacimiento']));
	$entrevistador = htmlspecialchars(trim($_POST['entrevistador']));
	$verificacion = htmlspecialchars(trim($_POST['verificacion']));
	//$usuario_usu= htmlspecialchars(trim($_POST['usuario_usu']));
	//$contrasena_usu= htmlspecialchars(trim($_POST['contrasena_usu']));
		
	if ( $objCliente->actualizar_entrevista(array($hora,$fecha_nacimiento,$entrevistador,$id_aspi,$verificacion)) == true){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
}else{
	if(isset($_GET['id_asp'])){
		
		require('clases/cliente.class.php');
		$objCliente=new Cliente;
		$consulta = $objCliente->mostrar_entrevista_modificar($_GET['id_asp']);
		$cliente = mysql_fetch_array($consulta);
		echo $id_asp;
		echo "<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1' />";
		echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
		echo "<head><link href='config/estilos/CMS.css' rel='stylesheet' type='text/css' /></head>";
	?><br /><br />
	<form id="frmClienteActualizar" name="frmClienteActualizar" method="post" action="actualizar_entrevista.php" onsubmit="ActualizarEntrevista(); return false">
    	 <input type="hidden" name="id_aspi" id="id_aspi" value="<?php echo $_GET['id_asp'] ?>" />
        <p>
          <label class="lbl">Fecha Entrevista <a onclick="show_calendar()" style="cursor: pointer;">
          <span class="msjc">(Abrir el Calendario)</span></a><br />
          <input readonly class="inputxt2" title="MODIFIQUE LA FECHA DE LA ENTREVISTA" type="text" name="fecha_nacimiento" id="fecha_nacimiento" value="<?php echo $cliente['fecha_ent'] ?>" />
          <div id="calendario" style="display:none;"><?php calendar_html() ?></div>
          </label>
          </p>
        </p>
      <p>
        <label class="lbl">
        Hora:<br />
          <label for="hora"></label>
          <input type="text" name="hora" title="MODIFIQUE LA HORA DE LA ENTREVISTA" id="hora" value="<?php echo $cliente['hora_ent']?>" class="inputxt2"/>
          </label>
        </p>
     <label class="lbl">   
 <p><span class="obl">*</span>Entrevistador:</p></label>
    <p>
    <select name="entrevistador" id="entrevistador" class="inputxt2">
            <option>Seleccione el entrevistador</option>
              <?php
			  include 'conexion.php';
              $consulta3 = "select id_per,concat(nombres_per,' ',apellidos_per) from persona where genero_per=7 order by apellidos_per ASC";
								$resultado3= mysql_query($consulta3);
								if($fila3=mysql_fetch_array($resultado3)){
									do{
										 echo "<option value='".$fila3[0]."'>".utf8_encode($fila3[1])."</option>";
									}while($fila3 = mysql_fetch_array($resultado3));
								}
								
							?>  </select> 
     </p>
 <style type="text/css">    
     .ver {
  border: 2px solid #CCC;
  padding: 1em;
  position: absolute;
  top:  500px; 
  left: 590px;
  width: 110px;
  font-size:9px;
  border-style:solid;
    border-bottom-color:#aaa;
    border-right-color:#aaa;
    border-top-color:#ddd;
    border-left-color:#ddd;
    border-radius:3px;
    -moz-border-radius:3px;
    -webkit-border-radius:3px
}
</style>
    <div class="ver">Asisti&oacute; a la entrevista
              <label>
          <input name="verificacion" type="checkbox" id="verificacion" value="casilla de verificación " />
          </label>
        <br />
      </p>
    </div>       
  
 <p><br />
    <input type="submit" name="submit" id="button" value="Actualizar" class="btnform"/>
	<label></label>
	<input type="button" name="cancelar" id="cancelar" value="Cancelar" onclick="Cancelar()" class="btnform"/>
   						</p> <br />
	</form>
	<?php
	}
}
?>